Solid Edge Draft Type Library
PrintSheet Method
Name of printer as it appears in Print dialogue box.
Number of copies.
Orientation
Paper Size
Scale
True or False
FileName if above field is specified as True
Specifies to print all colors as black when set to True. If this argument is not specified, colors will be printed as true color on color devices or grayscale on black-and-white devices.
Specifies that all copies are to be collated when set to True. If this argument is not specified, then the copies will not be collated. This argument only applies when printing multiple sheets in a Draft document.
Description
Prints the sheet.
Syntax
Visual Basic
Public Sub PrintSheet( _
   Optional ByVal Printer As Variant, _
   Optional ByVal NumCopies As Variant, _
   Optional ByVal Orientation As Variant, _
   Optional ByVal PaperSize As Variant, _
   Optional ByVal Scale As Variant, _
   Optional ByVal PrintToFile As Variant, _
   Optional ByVal OutputFileName As Variant, _
   Optional ByVal ColorAsBlack As Variant, _
   Optional ByVal Collate As Variant, _
   Optional ByVal ScaleLineWidths As Variant, _
   Optional ByVal ScaleLineTypes As Variant, _
   Optional ByVal UsePrinterClipping As Variant _
) 
Parameters
Printer
Name of printer as it appears in Print dialogue box.
NumCopies
Number of copies.
Orientation
Orientation
PaperSize
Paper Size
Scale
Scale
PrintToFile
True or False
OutputFileName
FileName if above field is specified as True
ColorAsBlack
Specifies to print all colors as black when set to True. If this argument is not specified, colors will be printed as true color on color devices or grayscale on black-and-white devices.
Collate
Specifies that all copies are to be collated when set to True. If this argument is not specified, then the copies will not be collated. This argument only applies when printing multiple sheets in a Draft document.
ScaleLineWidths
ScaleLineTypes
UsePrinterClipping
Example
Private Sub PrintSheet_Click(sender As Object, e As EventArgs) Handles PrintSheet.Click
    Dim objApplication As SolidEdgeFramework.Application = Nothing
    Dim objDraftDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet

    Try

        objApplication = Marshal.GetActiveObject("SolidEdge.Application")
        objDraftDoc = objApplication.ActiveDocument

        For Each objSheet In objDraftDoc.Sections.WorkingSection.Sheets
            Call objSheet.PrintSheet("Microsoft XPS Document Writer", 1, 2, , , True, "c:\test.xps", False)
        Next
    Catch ex As Exception
        MsgBox(ex.ToString)
        Clipboard.SetText(ex.ToString)
    End Try
End Sub
See Also

Sheet Object  | Sheet Members